Package com.documentum.fc.client.search

# Enum Class DfFacetDefinition.ORDER

java.lang.Object
java.lang.Enum<DfFacetDefinition.ORDER>
com.documentum.fc.client.search.DfFacetDefinition.ORDER

All Implemented Interfaces:
  `Serializable`, `Comparable<DfFacetDefinition.ORDER>`, `Constable`

Enclosing class:
  DfFacetDefinition

public static enum DfFacetDefinition.ORDER extends Enum<DfFacetDefinition.ORDER>
Define the order of the facet value in the returned facets.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FREQUENCY`
  Ordered by count, descending
  `NONE`
  Keep the order returned by the facet handler
  `VALUE_ASCENDING`
  Ordered by value (ascending).
  `VALUE_DESCENDING`
  Ordered by value (descending).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DfFacetDefinition.ORDER`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DfFacetDefinition.ORDER[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FREQUENCY

    public static final DfFacetDefinition.ORDER FREQUENCY
    Ordered by count, descending

  - ### VALUE_ASCENDING

    public static final DfFacetDefinition.ORDER VALUE_ASCENDING
    Ordered by value (ascending). The sort is alphanumeric. We assume that even if the data type of the facet is date or numeric, the values are encoded in such way that they are alphanumerically sortable.

  - ### VALUE_DESCENDING

    public static final DfFacetDefinition.ORDER VALUE_DESCENDING
    Ordered by value (descending). The sort is alphanumeric. We assume that even if the data type of the facet is date or numeric, the values are encoded in such way that they are alphanumerically sortable.

  - ### NONE

    public static final DfFacetDefinition.ORDER NONE
    Keep the order returned by the facet handler

- ## Method Details

  - ### values

    public static DfFacetDefinition.ORDER[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DfFacetDefinition.ORDER valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null